package com.dgtly.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 sys_user_author_rel
 * 
 * @author dgtly
 * @date 2022-03-23
 */
public class SysUserAuthorRel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long userId;

    /** $column.columnComment */
    private Long authorId;

    private Long[] authorIds;

    public Long[] getAuthorIds() {
        return authorIds;
    }

    public void setAuthorIds(Long[] authorIds) {
        this.authorIds = authorIds;
    }

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setAuthorId(Long authorId) 
    {
        this.authorId = authorId;
    }

    public Long getAuthorId() 
    {
        return authorId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("authorId", getAuthorId())
            .toString();
    }
}
